> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Multipart File Replacement Part Url

> Return a presigned URL for one replacement multipart part.



## OpenAPI

````yaml /openapi/mio-openapi.json post /api/v1/teams/{team_id}/files/{id}/replace/{replacement_media_id}/multipart/{upload_id}/parts/{part_number}
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/teams/{team_id}/files/{id}/replace/{replacement_media_id}/multipart/{upload_id}/parts/{part_number}:
    post:
      tags:
        - media-admin
      summary: Multipart File Replacement Part Url
      description: Return a presigned URL for one replacement multipart part.
      operationId: >-
        media_admin.post_media_admin_post_teams_by_team_id_files_by_id_replace_by_replacement_media_id_multipart_by_upload_id_parts_by_part_number
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
        - in: path
          name: id
          required: true
          schema:
            title: Id
            type: string
        - in: path
          name: replacement_media_id
          required: true
          schema:
            title: Replacement Media Id
            type: string
        - in: path
          name: upload_id
          required: true
          schema:
            title: Upload Id
            type: string
        - in: path
          name: part_number
          required: true
          schema:
            title: Part Number
            type: integer
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/FileReplacementResponse'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    FileReplacementResponse:
      description: Single-resource JSON:API response wrapping a file replacement.
      properties:
        data:
          $ref: '#/components/schemas/JsonApiResource_FileReplacementAttributes_'
        included:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Included
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: FileReplacementResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    JsonApiResource_FileReplacementAttributes_:
      properties:
        attributes:
          $ref: '#/components/schemas/FileReplacementAttributes'
        id:
          title: Id
          type: string
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        relationships:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Relationships
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: JsonApiResource[FileReplacementAttributes]
      type: object
    JsonApiLinks:
      properties:
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiLinks
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    FileReplacementAttributes:
      properties:
        file_id:
          title: File Id
          type: string
        mime_type:
          title: Mime Type
          type: string
        original_filename:
          title: Original Filename
          type: string
        size_bytes:
          title: Size Bytes
          type: integer
        status_upload:
          title: Status Upload
          type: string
      required:
        - file_id
        - status_upload
        - original_filename
        - mime_type
        - size_bytes
      title: FileReplacementAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````